<?php

namespace Drupal\fieldupdate\Form;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\field\Entity\FieldConfig;
use Drupal\field\Entity\FieldStorageConfig;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Url;

/**
 * Class ForgotUsernameForm.
 */
class FieldUpdateFormAction extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'fieldupdateaction';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    p($_POST);
    $form['entity_types'] = [
      '#title' => t('Entity type'),
      '#type' => 'select',
      '#options' => [],
      '#empty_option' => $this->t('- None -'),
      '#ajax' => [
        'callback' => '::bundleDropdownCallback',
        'wrapper' => 'bundle-field-wrapper',
      ],
      '#default_value' => '',
    ];
    return $form;
  }



  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $email = $form_state->getValue('entity_types');
    \Drupal::logger('debug-1')->info($email);
  }




}
